#### D.15.32.7 vecFieldToMatrix

Procedure from library `VecField.lib` (see VecField_lib).

Usage:
  vecFieldToMatrix(VecField V,ideal W)

Return:
  the matrix representation of V restricted to span(W), in the basis specified by W.

Example:

    LIB "VecField.lib";
    int oldp = printlevel;
    printlevel = 1;
    ring r = 0, (x, y, z),ds;
    vector v = [-1,-1,-1];
    VecField V = v;
    V.precision = 4;
    map phi = r, x-2y2+z3,2y+y3+z,z;
    VecField W = changeCoordinates(V,phi);
    matrix m = vecFieldToMatrix(W,maxideal(2));
    printlevel = oldp;

User manual for Singular version 4.4.1, 2025, generated by texi2html.